6.0.472.53~r57914 -> 6.0.472.55~r58392 upgrade

Bug #635949 reported by Fabien Tassin on 2010-09-11
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
Medium
Fabien Tassin
Lucid
Medium
Fabien Tassin
Maverick
Medium
Fabien Tassin
chromium-codecs-ffmpeg (Ubuntu)
Medium
Fabien Tassin
Lucid
Medium
Fabien Tassin
Maverick
Medium
Fabien Tassin

Bug Description

Binary package hint: chromium-browser

There's an upstream stable upgrade fixing some regressions (6.0.472.53~r57914 -> 6.0.472.55~r58392)
We need it in both Maverick and Lucid (-security + -updates).

At the same time, the last codecs package regressed on ARM (ftbfs), i have a fix with for this in a new version
(0.6+svn20100811r55740+56137 -> 0.6+svn20100904r58574+58998). It's also needed on both Maverick and Lucid.

Also, upstream upgraded the codecs deps on libvpx to the newly released 0.9.2, which is in debian but not in ubuntu (we have 0.9.1).
It's not absolutely necessary but it brings a lot of improvements, speed wise, which is good for WebM videos, such as on YouTube. IMHO, it's nice to have, but it may be too late, please advise.

Fabien Tassin (fta) on 2010-09-11
Changed in chromium-browser (Ubuntu):
status: New → Fix Committed
importance: Undecided → Medium
assignee: nobody → Fabien Tassin (fta)
Changed in chromium-browser (Ubuntu Lucid):
status: New → Fix Committed
assignee: nobody → Fabien Tassin (fta)
importance: Undecided → High
importance: High → Medium
Changed in chromium-codecs-ffmpeg (Ubuntu Lucid):
status: New → Fix Committed
Changed in chromium-codecs-ffmpeg (Ubuntu Maverick):
status: New → Fix Committed
importance: Undecided → Medium
Changed in chromium-codecs-ffmpeg (Ubuntu Lucid):
importance: Undecided → Medium
Changed in chromium-codecs-ffmpeg (Ubuntu Maverick):
assignee: nobody → Fabien Tassin (fta)
Changed in chromium-codecs-ffmpeg (Ubuntu Lucid):
assignee: nobody → Fabien Tassin (fta)
Jamie Strandboge (jdstrand) wrote :

chromium-codecs-ffmpeg is now in lucid-proposed. Marking chromium-browser back to Triaged since we won't push that to lucid-proposed until .53 is SRUd (bug #628924).

Changed in chromium-browser (Ubuntu Lucid):
status: Fix Committed → Triaged
Jamie Strandboge (jdstrand) wrote :

chromium-codecs-ffmpeg tested with www.youtube.com/watch?v=_hTiRnqnvDs (html5 green lantern trailer, see www.webmproject.org/users/).

$ apt-cache policy chromium-codecs-ffmpeg-extra
chromium-codecs-ffmpeg-extra:
  Installed: 0.6+svn20100904r58574+58998-0ubuntu0.10.04.1
  Candidate: 0.6+svn20100904r58574+58998-0ubuntu0.10.04.1
  Version table:
 *** 0.6+svn20100904r58574+58998-0ubuntu0.10.04.1 0
        100 /var/lib/dpkg/status

Changed in chromium-codecs-ffmpeg (Ubuntu Lucid):
status: Fix Committed → Fix Released
Jamie Strandboge (jdstrand) wrote :

Uploaded to ubuntu-security-proposed PPA. Please note this build enables PIE, which is good for security but may require more testing.

Changed in chromium-browser (Ubuntu Lucid):
status: Triaged → In Progress
Jamie Strandboge (jdstrand) wrote :

6.0.472.55~r58392-0ubuntu1 is in maverick now.

Changed in chromium-codecs-ffmpeg (Ubuntu Maverick):
status: Fix Committed → Fix Released
Jamie Strandboge (jdstrand) wrote :

Pocket copied chromium-browser to proposed. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in chromium-browser (Ubuntu Lucid):
status: In Progress → Fix Committed
Jamie Strandboge (jdstrand) wrote :

To ubuntu-sru: if this passes the verification process, please also pocket copy to security. Thanks!

tags: added: verification-needed
Colin Watson (cjwatson) wrote :

chromium-browser (6.0.472.55~r58392-0ubuntu1) maverick; urgency=low

  * New upstream release from the Stable Channel (LP: #635949)
    This release fixes the following issues/regressions:
    - [51727] [52940] Failures when using autocomplete
    - [10913] Default search engine settings wiped out
    - [1906] Shift reload not working
  * Build with the Hardening Wrapper (to gain PIE), adding another layer of
    protection (See https://wiki.ubuntu.com/Security/HardeningWrapper)
    - update debian/control
    - update debian/rules
  * On Armel, when checking for armv7, also test for Maverick version
    - update debian/rules

 -- Fabien Tassin <email address hidden> Wed, 08 Sep 2010 09:12:35 +0200

Changed in chromium-browser (Ubuntu Maverick):
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in chromium-browser (Ubuntu Lucid):
status: Fix Committed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers